Update webhook
PUT
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/webhooks/{webhook_id}
Update webhook configuration.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” webhook_id
required
Webhook Id
string format: uuid
Header Parameters
Section titled “Header Parameters ”Request Body required
Section titled “Request Body required ” WebhookUpdate
Update webhook request.
object
events
Any of:
Array<string>
null
Examples
Request payload example
{ "url": "string", "events": [ "string" ], "secret": "string", "is_active": true}Responses
Section titled “ Responses ”Successful Response
Examples
200 response example
{ "status": "ok", "message": "Request completed successfully."}Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples
422 response example
{ "detail": [ { "loc": [], "msg": "string", "type": "string" } ]}